View Issue Details

IDProjectCategoryView StatusLast Update
0004570Kali Linux[All Projects] Kali Package Bugpublic2018-03-14 20:28
ReporterkcartgubAssigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.2 
Summary0004570: Gnome NetworkManager OpenVPN immediately disconnecting
DescriptionConnecting to ovpn immediately disconnects with error. WOrked before updating to latest ovpn packages
Steps To Reproduceapt install network-manager-openvpn-gnome
install complete .ovpn file and connect
Additional Informationsee attached syslog screenshot

Activities

kcartgub

kcartgub

2018-03-01 08:06

reporter  

ovpn-fail.png (1,359,865 bytes)
rhertzog

rhertzog

2018-03-01 09:27

administrator   ~0008831

There's a rather clear error message in your screenshot. Does your .ovpn file has both entries for "cert" and "key" ?

If not, then that's the issue. If the entries are there, then it might be a bug.
kcartgub

kcartgub

2018-03-01 16:56

reporter  

ovpn-import.png (53,103 bytes)
ovpn-import.png (53,103 bytes)
kcartgub

kcartgub

2018-03-01 16:56

reporter  

ovpn-after-save.png (56,114 bytes)
ovpn-after-save.png (56,114 bytes)
kcartgub

kcartgub

2018-03-01 17:00

reporter   ~0008833

Yes, both are there but somehow the key is removed once the connection is saved. Also after manually adding the key later, it is removed immediately when I click save again.

This happened both on my fully upgraded 2017 and a fresh installed 2018.1 kali version, both using network-manager-openvpn-gnome v1.8.0-2 on a KVM virtual machine.
shivadityat

shivadityat

2018-03-06 15:26

reporter   ~0008876

Similar problem !

https://bugs.kali.org/view.php?id=4569
rhertzog

rhertzog

2018-03-06 19:08

administrator   ~0008878

This is probably fixed by this upstream commit: https://git.gnome.org/browse/network-manager-openvpn/commit/?id=fcf4b58fe0da5994687469ebb0c6eac3cf083e83

The patch will soon land in Debian unstable. We will likely wait for it and grab the package once available.
kcartgub

kcartgub

2018-03-14 18:51

reporter   ~0008927

any expectation when this will happen, have had this issue for several weeks now (6 or more)
rhertzog

rhertzog

2018-03-14 20:27

administrator   ~0008928

I just imported network-manager-openvpn 1.8.2-1 from Debian unstable. It should be available shortly in kali-rolling.

Issue History

Date Modified Username Field Change
2018-03-01 08:06 kcartgub New Issue
2018-03-01 08:06 kcartgub File Added: ovpn-fail.png
2018-03-01 09:27 rhertzog Assigned To => rhertzog
2018-03-01 09:27 rhertzog Status new => feedback
2018-03-01 09:27 rhertzog Note Added: 0008831
2018-03-01 16:56 kcartgub File Added: ovpn-import.png
2018-03-01 16:56 kcartgub File Added: ovpn-after-save.png
2018-03-01 17:00 kcartgub Note Added: 0008833
2018-03-01 17:00 kcartgub Status feedback => assigned
2018-03-06 15:26 shivadityat Note Added: 0008876
2018-03-06 19:08 rhertzog Note Added: 0008878
2018-03-14 18:51 kcartgub Note Added: 0008927
2018-03-14 20:27 rhertzog Note Added: 0008928
2018-03-14 20:28 rhertzog Status assigned => resolved
2018-03-14 20:28 rhertzog Resolution open => fixed
2018-03-14 20:28 rhertzog Fixed in Version => 2018.2